#
# spec file for package geg (Version 1.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         geg
Copyright:    GPL
Group:        Applications/Math
Autoreqprov:  on
Version:      1.0.2
Release:      3
Summary:      Simple program for plotting 2-dimensional mathematical functions
Url:          http://www.infolaunch.com/~daveb
Source:       geg-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
geg is a handy little program for plotting 2-dimensional
mathematical functions,  eg f(x) = sin(x) + 2,  and more
complicated functions.

Authors:
--------
    David Bryant <daveb@acres.com.au>

%prep
%setup

%build
rm -rf $RPM_BUILD_ROOT
%{suse_update_config}
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
                                    --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/bin/*
%doc %{_mandir}/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n geg
* Thu Oct 25 2001 - cihlar@suse.cz
- initial version 1.0.2
